This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290589 - ship sysctl file enabling vm.allocate_pgste for s390x kvm
ship sysctl file enabling vm.allocate_pgste for s390x kvm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
23
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-12-10 16:33 EST by Jan Stodola
Modified: 2017-05-29 03:55 EDT (History)
16 users (show)

See Also:
Fixed In Version: qemu-2.4.1-9.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-15 01:27:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedora23_install.xml (2.12 KB, text/plain)
2015-12-10 16:34 EST, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2015-12-10 16:33:09 EST
Description of problem:
An attempt to start a VM on an s390x host fails with the following error:

[root@rtt8 ~]# virsh start fedora23 --console
error: Failed to start domain fedora23
error: internal error: early end of file from monitor: possible problem:
ioctl(KVM_CREATE_VM) failed: 22 Invalid argument
Host kernel setup problem detected. Please verify:
- for kernels supporting the switch_amode or user_mode parameters, whether
  user space is running in primary address space
- for kernels supporting the vm.allocate_pgste sysctl, whether it is enabled
failed to initialize KVM: Invalid argument

"sysctl vm.allocate_pgste=1" fixes this issue, but this should be set automatically, not by the user.


Version-Release number of selected component (if applicable):
kernel-4.2.6-300.fc23.s390x
libvirt-1.2.18.1-2.fc23.s390x
qemu-kvm-2.4.1-1.fc23.s390x

How reproducible:
always

Steps to Reproduce:
1. prepare an XML definition of a virtual machine (will be attached)
2. 
dnf install libvirt qemu-kvm
systemctl start libvirtd
cd /var/lib/libvirt/images/
qemu-img create -f qcow2 fedora23.img 6G
wget http://dl.fedoraproject.org/pub/fedora-secondary/releases/23/Server/s390x/os/images/kernel.img
wget http://dl.fedoraproject.org/pub/fedora-secondary/releases/23/Server/s390x/os/images/initrd.img
modprobe kvm
virsh define fedora23_install.xml
virsh start fedora23 --console

Actual results:
error: Failed to start domain fedora23
error: internal error: early end of file from monitor: possible problem:
ioctl(KVM_CREATE_VM) failed: 22 Invalid argument

Expected results:
VM starts
Comment 1 Jan Stodola 2015-12-10 16:34 EST
Created attachment 1104493 [details]
fedora23_install.xml

For additional info see the following thread:
https://www.mail-archive.com/kvm@vger.kernel.org/msg115576.html
Comment 2 Cole Robinson 2015-12-23 19:18:48 EST
heh and I even replied to that thread in april but completely forgot about it. Fix is to ship the sysctl file in the qemu-kvm package for s390x arch
Comment 3 Cole Robinson 2016-05-02 16:16:29 EDT
This change was made in f24 but still need to backport it to f23 package
Comment 4 Fedora Update System 2016-05-10 09:59:42 EDT
qemu-2.4.1-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2b1f07256
Comment 5 Fedora Update System 2016-05-12 05:35:41 EDT
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2b1f07256
Comment 6 Fedora Update System 2016-05-15 01:25:18 EDT
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.